Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Parsetr/Interpreter Estimated time: 2.00 hours
Target version: CoCoA-5.1.0 Easter14 Spent time: 2.90 hours
Description

Functions("$binrepr"); from CoCoA-4 doesn't work and has been replaced by
describe ("$binrepr"); (as the error message helpfully says)

o)

- fix the manual

- write the exported functions first and then the rest

(should be easy...)

Related issues:
Related to CoCoA-5 - Feature #346: Describe should indicate package name Closed 29 Apr 2013

History

#1 - 29 Apr 2013 09:03 - John Abbott

Why is the package called BinRepr but the main exports are called BinExp?

AMB: moved to #354

#2 - 18 Mar 2014 12:22 - John Abbott

The relevant source code is in Interpereter.C:233

void PackageValue: :describe (intrusive_ptr<OutputStreamValue> out) const...

#3 - 18 Mar 2014 12:41 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 20

| think I've corrected the code so that exported names appear first.
Will check after lunch.

#4 - 18 Mar 2014 14:37 - John Abbott
- Status changed from In Progress to Resolved

- % Done changed from 20 to 60

The modified impl seems OK to me.

| have modified the CoCoA-5 doc too: Functions is now marked as obsolete;
describe hints at what it does for packages (I deliberately wanted to remain vague, since exactly what is printed might change in the future).

One thing did (does?) puzzle me: with package $binrepr it seems that the two exported names (BinExp and EvalBinExp) did not appear in the list of
member names; however, with package $chebyshev the exported names appeared also in the list of member names. Why? Which is correct?
https://cocoa.dima.unige.it/redmine/issues/354

| have modified the code so that exported names are not listed along with the "also has" names... Strictly the code I've written is not quite correct :-/

#5 - 22 Mar 2014 22:22 - John Abbott

Anna could you check that this now does more or less what you want; if so, change state to feedback?

#6 - 02 Apr 2014 17:33 - Anna Maria Bigatti
- Target version set to CoCoA-5.1.0 Easter14

#7 - 17 Apr 2014 19:07 - John Abbott

Anna will check the manual!

#8 - 05 May 2014 12:37 - John Abbott

| suggest moving Functions (currently built-in!?!) to the package obsolete.cpkg5

20140508 OK done this (after getting Anna's approval)

#9 - 06 May 2014 18:14 - John Abbott
- Status changed from Resolved to Closed

- % Done changed from 60 to 100

It seems OK now (Anna's happy too), so closing.
